Approval Request API
List Approval Requests
List all approval requests for a team.
GET
/
v2
/
approval-requests
List Approval Requests
curl --request GET \
--url https://public.api.serval.com/v2/approval-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://public.api.serval.com/v2/approval-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.serval.com/v2/approval-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"accessRequestTimeAllocationId": "<string>",
"workflowRunId": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"approverJustificationMode": "<string>"
}
],
"nextPageToken": "<string>"
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The ID of the team. Required.
Maximum number of results to return. Default is 1000, maximum is 5000.
Token for pagination. Leave empty for the first request.
Was this page helpful?
⌘I
List Approval Requests

